zenilib: Zeni::Resource Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Friends | List of all members
Zeni::Resource Class Reference
Zenilib

A Resource Assignement Singleton. More...

`#include <Resource.h>`

Inherits Zeni::Singleton< Resource >.

## Public Member Functions

unsigned long | assign ()
| Get a value, unique within this run of the program. More...
Public Member Functions inherited from Zeni::Singleton< Resource >
void | fax_post_reinit (Event::Handler *const &handler)
void | fax_pre_uninit (Event::Handler *const &handler)
void | give_post_reinit (Event::Handler *const &handler)
void | give_pre_uninit (Event::Handler *const &handler)
void | lend_post_reinit (Event::Handler *const &handler)
void | lend_pre_uninit (Event::Handler *const &handler)

## Friends

class | Singleton< Resource >

## Additional Inherited Members

Static Public Member Functions inherited from Zeni::Singleton< Resource >
static void | completely_destroy ()
static void | destroy ()
static Resource & | get ()
static bool | is_initialized ()
static void | remove_post_reinit (Event::Handler *const &handler)
static void | remove_pre_uninit (Event::Handler *const &handler)
Protected Member Functions inherited from Zeni::Singleton< Resource >
| Singleton ()
virtual | ~Singleton ()

## Detailed Description

A Resource Assignement Singleton.

The Resource Singleton assigns identifiers unique over the runtime of your program.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 48 of file Resource.h.

## Member Function Documentation

unsigned long Zeni::Resource::assign | ( |  | ) |

inline

Get a value, unique within this run of the program.

Definition at line 25 of file Resource.hxx.

Referenced by Zeni::Database< TYPE >::give(), and Zeni::Database< TYPE >::lend().

## Friends And Related Function Documentation

friend class Singleton< Resource >

friend

Definition at line 49 of file Resource.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni/Zeni/Resource.h
- zenilib/jni/external/zenilib/zeni/Resource.cpp
- zenilib/jni/external/zenilib/zeni/Zeni/Resource.hxx